View Issue Details

IDProjectCategoryView StatusLast Update
0004334SymmetricDSNew Featurepublic2020-05-26 14:48
ReporterpmarzulloAssigned Topmarzullo 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.7 
Target Version3.12.0Fixed in Version3.12.0 
Summary0004334: Provide tool to backup and restore configuration that does not reside in the database
DescriptionProvide a backup and restore tool that will backup the files that are used for configuration of SymmetricDS outside of the database.

<SYM_HOME>/conf
<SYM_HOME>/engines
<SYM_HOME>/patches
<SYM_HOME>/security

Maybe zip these directories up, with a named file of symmetric-file-configuration-<current date>.zip if a filename is not provided on the command line.

It would be nice to export the database configuration into CSV format and also save in the zip file, and restore after restoring the files, starting the engine, and reading in the CSV file.
Tagsconfiguration, symadmin

Activities

pmarzullo

2020-04-06 12:15

developer   ~0001695

I did not provide the functionality to export and import the configuration from the database.

Related Changesets

SymmetricDS: 3.12 6f6d5d68

2020-04-06 12:14:28

Philip Marzullo

Details Diff
0004334: Provide tool to backup and restore configuration that does not
reside in the database

0004334
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/AbstractCommandLauncher.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/SymmetricAdmin.java Diff File
mod - symmetric-client/src/main/resources/symmetric-messages.properties Diff File

Issue History

Date Modified Username Field Change
2020-04-03 14:55 pmarzullo New Issue
2020-04-03 14:55 pmarzullo Status new => assigned
2020-04-03 14:55 pmarzullo Assigned To => pmarzullo
2020-04-03 14:55 pmarzullo Tag Attached: configuration
2020-04-03 14:55 pmarzullo Tag Attached: symadmin
2020-04-06 12:15 pmarzullo Note Added: 0001695
2020-04-06 12:16 pmarzullo Status assigned => resolved
2020-04-06 12:16 pmarzullo Resolution open => fixed
2020-04-06 12:16 pmarzullo Fixed in Version => 3.12.0
2020-04-06 13:00 Changeset attached => SymmetricDS 3.12 6f6d5d68
2020-05-26 14:48 elong Status resolved => closed